Package org.springframework.web.util

# Interface UriComponents.UriTemplateVariables

Enclosing class:
  UriComponents

public static interface UriComponents.UriTemplateVariables
Defines the contract for URI Template variables.

See Also:
  - `UriComponents.expand(java.util.Map<java.lang.String, ?>)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`SKIP_VALUE`
Constant for a value that indicates a URI variable name should be ignored and left as is.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue(String name)`
Get the value for the given URI variable name.

## Field Details

### SKIP_VALUE

static final Object SKIP_VALUE
Constant for a value that indicates a URI variable name should be ignored and left as is. This is useful for partial expanding of some but not all URI variables.

## Method Details

### getValue

@Nullable Object getValue(@Nullable String name)
Get the value for the given URI variable name. If the value is `null`, an empty String is expanded. If the value is `SKIP_VALUE`, the URI variable is not expanded.

Parameters:
  `name` - the variable name
Returns:
  the variable value, possibly `null` or `SKIP_VALUE`